# HG changeset patch
# Node ID b2a14e5898f1ed40f90441c176dad963226972b4
# Parent  f63713803dbd42835fd4b0ce621e0281c29cb898
diff --git a/gplugin-gtk4/reference/gplugin-gtk4.toml.in b/gplugin-gtk4/reference/gplugin-gtk4.toml.in
--- a/gplugin-gtk4/reference/gplugin-gtk4.toml.in
+++ b/gplugin-gtk4/reference/gplugin-gtk4.toml.in
@@ -7,10 +7,15 @@
 logo_url = ""
 license = "LGPL-2.1-or-later"
 description = "GPlugin Gtk Library"
-dependencies = [ "GLib-2.0", "GObject-2.0", "GPlugin-1.0", "Gtk-4.0" ]
+dependencies = [ "Gio-2.0", "GLib-2.0", "GObject-2.0", "GPlugin-1.0", "Gtk-4.0" ]
 devhelp = true
 search_index = true
 
+  [dependencies."Gio-2.0"]
+  name = "Gio"
+  description = "Gio is a library providing useful classes."
+  docs_url = "https://docs.gtk.org/gio/"
+
   [dependencies."GLib-2.0"]
   name = "GLib"
   description = "General-purpose, portable utility library."
diff --git a/gplugin-gtk4/reference/urlmap.js b/gplugin-gtk4/reference/urlmap.js
--- a/gplugin-gtk4/reference/urlmap.js
+++ b/gplugin-gtk4/reference/urlmap.js
@@ -3,9 +3,10 @@
 
 // A map between namespaces and base URLs for their online documentation
 baseURLs = [
+    [ 'Gio', 'https://docs.gtk.org/gio/' ],
     [ 'GLib', 'https://docs.gtk.org/glib/' ],
+    [ 'GModule', 'https://docs.gtk.org/gmodule/' ],
     [ 'GObject', 'https://docs.gtk.org/gobject/' ],
     [ 'GPlugin', 'https://docs.imfreedom.org/gplugin/' ],
-    [ 'GModule', 'https://docs.gtk.org/gmodule/' ],
     [ 'Gtk3', 'https://docs.gtk.org/gtk3/' ],
 ]
diff --git a/gplugin/meson.build b/gplugin/meson.build
--- a/gplugin/meson.build
+++ b/gplugin/meson.build
@@ -165,7 +165,7 @@
 	c_args : ['-DGPLUGIN_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="GPlugin"'],
 	gnu_symbol_visibility : 'hidden',
 	include_directories : toplevel_inc,
-	dependencies : [GLIB, GOBJECT, GMODULE],
+	dependencies : [GIO, GLIB, GOBJECT, GMODULE],
 	version : GPLUGIN_LIBRARY_VERSION,
 	install : true
 )
@@ -176,7 +176,7 @@
 	description : 'A fully featured GModule based plugin library',
 	filebase : 'gplugin',
 	subdirs : 'gplugin-1.0',
-	libraries : [GLIB, GOBJECT, GMODULE],
+	libraries : [GIO, GLIB, GMODULE, GOBJECT],
 	variables : [
 		'plugindir=${libdir}',
 	],
@@ -190,7 +190,7 @@
 		sources : GPLUGIN_SOURCES + GPLUGIN_HEADERS +
 		          GPLUGIN_PUBLIC_BUILT_SOURCES +
 		          GPLUGIN_PUBLIC_BUILT_HEADERS,
-		includes : ['GObject-2.0'],
+		includes : ['Gio-2.0', 'GLib-2.0', 'GObject-2.0'],
 		header : 'gplugin.h',
 		namespace : 'GPlugin',
 		symbol_prefix : 'gplugin',
@@ -208,7 +208,7 @@
 	include_directories : [toplevel_inc, gplugin_inc],
 	link_with : gplugin,
 	sources : GPLUGIN_PUBLIC_BUILT_HEADERS + GPLUGIN_GENERATED_TARGETS,
-	dependencies : [GLIB, GOBJECT, GMODULE.partial_dependency(includes: true)],
+	dependencies : [GIO, GLIB, GMODULE.partial_dependency(includes: true), GOBJECT],
 )
 
 meson.override_dependency('gplugin', gplugin_dep)
diff --git a/gplugin/reference/gplugin.toml.in b/gplugin/reference/gplugin.toml.in
--- a/gplugin/reference/gplugin.toml.in
+++ b/gplugin/reference/gplugin.toml.in
@@ -7,25 +7,30 @@
 logo_url = ""
 license = "LGPL-2.1-or-later"
 description = "GPlugin Plugin Library"
-dependencies = [ "GLib-2.0", "GObject-2.0", "GModule-2.0" ]
+dependencies = [ "Gio-2.0", "GLib-2.0", "GModule-2.0", "GObject-2.0" ]
 devhelp = true
 search_index = true
 
+  [dependencies."Gio-2.0"]
+  name = "Gio"
+  description = "Gio is a library providing useful classes."
+  docs_url = "https://docs.gtk.org/gio/"
+
   [dependencies."GLib-2.0"]
   name = "GLib"
   description = "General-purpose, portable utility library."
   docs_url = "https://docs.gtk.org/glib/"
 
+  [dependencies."GModule-2.0"]
+  name = "GModule"
+  description = "Portable API for dynamically loading modules"
+  docs_url = "https://docs.gtk.org/gmodule/"
+
   [dependencies."GObject-2.0"]
   name = "GObject"
   description = "The base type system library"
   docs_url = "https://docs.gtk.org/gobject/"
 
-  [dependencies."GModule-2.0"]
-  name = "GModule"
-  description = "Portable API for dynamically loading modules"
-  docs_url = "https://docs.gtk.org/gmodule/"
-
 [theme]
 name = "basic"
 show_index_summary = true
diff --git a/gplugin/reference/urlmap.js b/gplugin/reference/urlmap.js
--- a/gplugin/reference/urlmap.js
+++ b/gplugin/reference/urlmap.js
@@ -3,7 +3,8 @@
 
 // A map between namespaces and base URLs for their online documentation
 baseURLs = [
+    [ 'Gio', 'https://docs.gtk.org/gio/' ],
     [ 'GLib', 'https://docs.gtk.org/glib/' ],
+    [ 'GModule', 'https://docs.gtk.org/gmodule/' ],
     [ 'GObject', 'https://docs.gtk.org/gobject/' ],
-    [ 'GModule', 'https://docs.gtk.org/gmodule/' ],
 ]
diff --git a/meson_options.txt b/meson_options.txt
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -67,6 +67,6 @@
 
 option(
 	'vapi',
-	type : 'boolean', value : true,
+	type : 'boolean', value : false,
 	description : 'Whether or not to build vapi files for gplugin'
 )
